.audio {
    position: relative;
    background: white;
    padding: rem(18);
    border-radius: rem(22);

    &__source {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;
    }

    &__player {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__control {
        fill: white;
        padding: 0;
        font-size: 0;
        border: none;
        outline: none;
        line-height: 0;
        width: rem(44);
        height: rem(44);
        display: block;
        cursor: pointer;
        overflow: hidden;
        border-radius: rem(10);
        background: var(--green);
        margin-right: rem(22);

        i {
            width: 100%;
            height: 100%;
            display: block;
        }

        i + i {
            display: none;
        }

        &.play {
            fill: var(--black);
            background: #D9E0E7;

            i {
                display: none;
            }

            i + i {
                display: block;
            }
        }
    }

    &__time {
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        color: var(--green);
        white-space: nowrap;
        text-align: right;
        min-width: rem(120);
        font-family: var(--font-secondary);
    }

    &__playback {
        flex-grow: 1;
        height: 36px;
        position: relative;
    }

    &__scale {
        width: 100%;
        height: 100%;
        background: url("../img/scale.svg") 0 0 repeat-x;
        opacity: .3;
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 10;
        position: absolute;
        background: url("../img/scale.svg") 0 0 repeat-x;
    }

    @include media-breakpoint-up(md) {

        &__player {
        }
    }
}
